<?php

namespace App\Http\Livewire\NotaFiscalQr;

use Livewire\Component;
use App\Models\Nfse;

class Validar extends Component
{
    public $empresa;
    public $codigo;
    public $nota;

    public function mount(){
        $this->nota = Nfse::where('na_Validacao', '=', $this->codigo)
        ->where('na_empresa', '=', $this->empresa)
        ->first();
    }

    public function render()
    {
        return view('livewire.nota-fiscal-qr.validar');
    }
}
